<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Installer\Installer;
use Joomla\CMS\Installer\InstallerHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Version;

class mod_jsflycartInstallerScript
{
    /**
     * This method is called after a component is installed.
     *
     * @param  \stdClass $parent - Parent object calling this method.
     *
     * @return void
     */
    public function install($parent)
    {

    }

    /**
     * This method is called after a component is uninstalled.
     *
     * @param  \stdClass $parent - Parent object calling this method.
     *
     * @return void
     */
    public function uninstall($parent) 
    {

		
    }

    /**
     * This method is called after a component is updated.
     *
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    public function update($parent) 
    {

    }

    /**
     * Runs just before any installation action is performed on the component.
     * Verifications and pre-requisites should run in this function.
     *
     * @param  string    $type   - Type of PreFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $parent - Parent object calling object.
     *
     * @return void
     */
    public function preflight($type, $parent) 
    {
		$version = new Version;
			
		// only for Joomla 3.x

		if (version_compare($version->getShortVersion(), '4.0', '<')) {
			
			Factory::getApplication()->enqueueMessage('&#128546; <strong>JS FLY JoomShopping Last seen products</strong> package doesn\'t support Joomla versions <span class="alert-link">lower 4</span>. Your Joomla version is <span class="badge badge-important">'.$version->getShortVersion().'</span>','error');
			return false;

		} 	
    }


	/**
     * Runs right after any installation action is performed on the component.
     *
     * @param  string    $type   - Type of PostFlight action. Possible values are:
     *                           - * install
     *                           - * update
     *                           - * discover_install
     * @param  \stdClass $installer - Parent object calling object.
     *
     * @return void
     */
    function postflight($type, $installer) 
    {
		
		$smile = "<img width='40px' src='https://joomstudio.ru/images/JS.png'>";
			
		$element = strtoupper($installer->getElement());
		//$element = "MOD_JSFLYCART";
		echo "
		<div class='row bg-white m-0 border shadow p-2'>
		<div class='col-8 p-2'>
		<h2>".$smile." Спасибо за установку модуля</h2>
		".Text::_("JSFLYCART");
		
		//echo Text::_($element."_WHATS_NEW");
echo "<br />";
		echo "</div>
		<div class='col-4' style='display:flex; flex-direction:column; justify-content:center;'>
		<img width='200px' src='https://joomstudio.ru/templates/yootheme/cache/36/white-logo-36be2326.webp'>
		
		<p class='btn-group'>
			<a class='btn btn-sm btn-outline-primary' href='https://joomstudio.ru/' target='_blank'>https://joomstudio.ru/</a>
			<a class='btn btn-sm btn-outline-primary' href='mailto:joomstudio.ru@gmail.com'><i class='icon-envelope'></i> joomstudio.ru@gmail.com</a>
		</p>
		<p><a class='btn btn-info' href='https://t.me/joomstudio_ru' target='_blank'>JoomStudio Russian Community in Telegram</a></p>
		";
		echo "
		<h4>Может быть интересно</h4><ul class=list-group><li class=list-group-item><a href=https://joomstudio.ru/joomla.html target=_blank title=Перейти на https://joomstudio.ru/joomla.html>Расширения для Joomla</a></li><li class=list-group-item><a href=https://joomstudio.ru/shablony-joomla.html target=_blank title=Перейти на https://joomstudio.ru/shablony-joomla.html>Шаблоны Joomla!.</a></li></ul>
		</div>

		";	
	
    }
}